## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Do not generate requires for scripts that might not be executed locally.
%global __requires_exclude_from ^%{python3_sitelib}/%{name}/conf

# Some scripts are executed on (non-Fedora) remote host. Do not play with shebangs too much!
%undefine __brp_mangle_shebangs

Name:		cdist
Version:	7.0.0
Release:	%autorelease
Summary:	Usable configuration management
# Automatically converted from old format: GPLv3 - review is highly recommended.
License:	GPL-3.0-only
URL:		https://www.cdi.st/
Source0:	%pypi_source

# Quick fix around argument parsing, which probably (?) blew up with python
# 3.11.
# TODO: investigate/report upstream.
Patch:	fix-argparse-scan.patch

BuildArch:	noarch
BuildRequires:	sed
BuildRequires:	findutils
BuildRequires:	grep
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	bash
Requires:	openssh-clients
Recommends:	python3-scapy

%description
cdist is a usable configuration management system. It adheres to the KISS
principle and is being used in small up to enterprise grade environments. cdist
is an alternative to other configuration management systems.

%prep
%autosetup -p 1 -n %{name}-%{version}

# Remove shebang on non-executable python files.
find . -type f -exec sed -i 's/^#!\/usr\/bin\/env python/#!\/usr\/bin\/python/' {} +

# Assume unverisoned python is python3.
find . -type f -exec sed -i 's/^#!\/usr\/bin\/python$/#!\/usr\/bin\/python3/' {} +

%build
%py3_build

%install
%py3_install

# Restore executable bit on scripts (remove by `python setup.py ...`).
(cd %{buildroot}; grep -l -R -m 1 "^#!\/" . | xargs  chmod +x)

mkdir -p %{buildroot}%{_mandir}/man1/ %{buildroot}%{_mandir}/man7/
cp docs/dist/man/man1/*.1 %{buildroot}%{_mandir}/man1/
cp docs/dist/man/man7/*.7 %{buildroot}%{_mandir}/man7/

%files
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man7/%{name}-*.7*

%package doc
Summary: Documentation for the cdist configuration management tool

%description doc
HTML documentation for the cdist configuration management tool.

%files doc
%doc docs/dist/html

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Miroslav Suchý <msuchy@redhat.com> - 7.0.0-11
- convert GPLv3 license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 7.0.0-9
- Rebuilt for Python 3.13

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 7.0.0-5
- BuildRequire setuptools to avoid missing distutils module error

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 7.0.0-4
- Rebuilt for Python 3.12

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Timothée Floure <timothee.floure@posteo.net> - 7.0.0-2
- Patch argument parsing, which blew up with python 3.11

* Wed Aug 31 2022 Timothée Floure <timothee.floure@posteo.net> - 7.0.0-1
- Rebase on cdist 7.0.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 6.9.8-3
- Rebuilt for Python 3.11

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Timothée Floure <fnux@fedoraprojecct.org> - 6.9.8-1
- New upstream release.
- Backport patch for python 3.10 support.

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.9.6-3
- Rebuilt for Python 3.10

* Wed Apr 21 2021 Timothée Floure <fnux@fedoraprojecct.org> - 6.9.6-2
- Add weak dependency on python3-scapy for the cdist scan beta feature.

* Wed Apr 21 2021 Timothée Floure <fnux@fedoraprojecct.org> - 6.9.6-1
- New upstream release.

* Thu Feb 18 2021 Timothée Floure <fnux@fedoraprojecct.org> - 6.9.4-1
- New upstream release.

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.9.3-1
- New upstream release.

* Sun Sep 13 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.8.0-1
- New upstream release.

* Wed Sep 09 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.7.0-1
- New upstream release.

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.6.0-1
- New upstream release.

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 6.5.5-3
- Rebuilt for Python 3.9

* Mon May 04 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.5.5-2
- Remove readme from doc macro (not shipped by upstream anymore).

* Mon May 04 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.5.5-1
- New upstream release.

* Wed Mar 11 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.5.2-1
- New upstream release.

* Fri Feb 14 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.5.0-1
- New upstream release.

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Timothée Floure <fnux@fedoraprojecct.org> - 6.4.0-1
- New upstream release.

* Fri Dec 13 2019 Timothée Floure <fnux@fedoraproject.org> - 6.3.0-4
- Disable shebang mangling.

* Fri Dec 13 2019 Timothée Floure <fnux@fedoraproject.org> - 6.3.0-3
- Disable RPM autorequires on cdist types.

* Fri Dec 13 2019 Timothée Floure <fnux@fedoraproject.org> - 6.3.0-2
- Restore script permissions after py3_install macro.
- Cleanup some forgotten python shebangs.

* Thu Dec 12 2019 Timothée Floure <fnux@fedoraprojectc.org> - 6.3.0-1
- New upstream release.

* Sun Dec 01 2019 Timothée Floure <fnux@fedoraprojectc.org> - 6.2.0-1
- Let there be package.

## END: Generated by rpmautospec
